com.tibbo.aggregate.common.structure

## Class PinpointFactory

- java.lang.Object
- - com.tibbo.aggregate.common.structure.PinpointFactory

-     public class PinpointFactory
      extends java.lang.Object

  This factory is a facade for various pinpoint constructors aimed at hiding implementation details from developers using it around the platform.
  To make the using code smaller, leverage static import on this class, i.e. instead of `

      PinpointFactory.newPinpointFor(...)

  ` write just `

      newPinpointFor(...)

  `
  Since:
    AGG-10879

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pinpoint` | `newPinpointFor(java.lang.String contextPath)`
    `static Pinpoint` | `newPinpointFor(java.lang.String contextPath, java.lang.String variableName)`
    `static Pinpoint` | `newPinpointFor(java.lang.String schema, java.lang.String contextPath, java.lang.String variableName)`
    `static Pinpoint` | `newPinpointFor(java.lang.String schema, java.lang.String scope, java.lang.String contextPath, java.lang.String variableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newPinpointFor

          public static Pinpoint newPinpointFor(java.lang.String contextPath)

    - #### newPinpointFor

          public static Pinpoint newPinpointFor(java.lang.String contextPath,
                                                java.lang.String variableName)

    - #### newPinpointFor

          public static Pinpoint newPinpointFor(java.lang.String schema,
                                                java.lang.String contextPath,
                                                java.lang.String variableName)

    - #### newPinpointFor

          public static Pinpoint newPinpointFor(java.lang.String schema,
                                                java.lang.String scope,
                                                java.lang.String contextPath,
                                                java.lang.String variableName)